com.oracle.truffle.api

## Class OptimizationFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.oracle.truffle.api.OptimizationFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class OptimizationFailedException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OptimizationFailedException(java.lang.Throwable cause, RootCallTarget callTarget)`

### Method Summary

Methods
`RootCallTarget` `getCallTarget()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OptimizationFailedException

    public OptimizationFailedException(java.lang.Throwable cause,
                               RootCallTarget callTarget)

### Method Detail

#### getCallTarget

    public RootCallTarget getCallTarget()